### Property

# Spelling Checker:provider

#### Declaration

    property provider: Spelling.Provider [ read, write, construct-only ]

#### Description [src]

The “provider” property contains the provider that is providing information to the spell checker.

Currently, only Enchant is supported, and requires using the `SpellingEnchantProvider`. Setting this to `NULL` will get the default provider.

Type:`SpellingProvider`

Getter method | `spelling_checker_get_provider()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes